[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# RecodeHour

Replace hours part of a TDateTime value with another hour.

## Declaration

Source position: dateutil.inc line 347

`function RecodeHour(`
`const AValue: TDateTime;`
`const AHour: Word`
`):TDateTime;`

## Arguments

`AValue` |  | Date/time to recode
`AHour` |  | Hour to replace in AValue

## Function result

AValue with replaced hour.

## Description

RecodeHour replaces the Hour part of the timestamp AValue with AHour. All other parts of the date/time stamp are left untouched.

## Errors

If the AHour value is not within a valid range (0..23) then an EConvertError exception is raised.

## See also

RecodeYear |  | Replace year part of a TDateTime value with another year.
RecodeMonth |  | Replace month part of a TDateTime value with another month.
RecodeDay |  | Replace day part of a TDateTime value with another day.
RecodeMinute |  | Replace minutse part of a TDateTime value with another minute.
RecodeSecond |  | Replace seconds part of a TDateTime value with another second.
RecodeMilliSecond |  | Replace milliseconds part of a TDateTime value with another millisecond.
RecodeDate |  | Replace date part of a TDateTime value with another date.
RecodeTime |  | Replace time part of a TDateTime value with another time.
RecodeDateTime |  | Replace selected parts of a TDateTime value with other values

## Example

    Program Example90;

    { This program demonstrates the RecodeHour function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = 'dddd dd mmmm yyyy hh:nn:ss';

    Var
      S : AnsiString;

    Begin
      S:=FormatDateTime(Fmt,RecodeHour(Now,0));
      Writeln('Today, in the first hour : ',S);
    End.

Documentation generated on: Feb 26 2014